public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/apache:master commit in: 2.4/scripts/, 2.4/init/
@ 2021-04-29  9:31 Lars Wendler
  0 siblings, 0 replies; only message in thread
From: Lars Wendler @ 2021-04-29  9:31 UTC (permalink / raw
  To: gentoo-commits

commit:     03882029a2dcbe2aa9df402b36788db33ac94b9d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 29 09:30:44 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr 29 09:30:44 2021 +0000
URL:        https://gitweb.gentoo.org/proj/apache.git/commit/?id=03882029

Minor shell style fixes

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 2.4/init/apache2.initd | 12 ++++++------
 2.4/scripts/apache2ctl |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/2.4/init/apache2.initd b/2.4/init/apache2.initd
index fc09ddd..0058e20 100755
--- a/2.4/init/apache2.initd
+++ b/2.4/init/apache2.initd
@@ -72,12 +72,12 @@ checkconfig() {
 
 	OUTPUT=$( ${APACHE2} ${APACHE2_OPTS} -t 2>&1 )
 	ret=$?
-	if [ $ret -ne 0 ]; then
+	if [ ${ret} -ne 0 ]; then
 		eerror "${SVCNAME} has detected an error in your setup:"
 		printf "%s\n" "${OUTPUT}"
 	fi
 
-	return $ret
+	return ${ret}
 }
 
 start() {
@@ -96,12 +96,12 @@ start() {
 		${APACHE2} ${APACHE2_OPTS} -k start
 
 	local i=0 retval=1
-	while [ $i -lt ${TIMEOUT} ] ; do
+	while [ ${i} -lt ${TIMEOUT} ] ; do
 		if [ -e "${PIDFILE}" ] ; then
 			retval=0
 			break
 		fi
-		sleep 1 && i=$(expr $i + 1)
+		sleep 1 && i=$(expr ${i} + 1)
 	done
 
 	eend ${retval}
@@ -123,8 +123,8 @@ stop() {
 
 	local i=0 retval=0
 	while ( test -f "${PIDFILE}" || pgrep -P ${PID} apache2 >/dev/null ) \
-		&& [ $i -lt ${TIMEOUT} ]; do
-		sleep 1 && i=$(expr $i + 1)
+		&& [ ${i} -lt ${TIMEOUT} ]; do
+		sleep 1 && i=$(expr ${i} + 1)
 	done
 	[ -e "${PIDFILE}" ] && retval=1
 

diff --git a/2.4/scripts/apache2ctl b/2.4/scripts/apache2ctl
index 872044b..890ded5 100644
--- a/2.4/scripts/apache2ctl
+++ b/2.4/scripts/apache2ctl
@@ -89,7 +89,7 @@ configdump() {
 }
 
 
-if ! is_systemd; then
+if ! is_systemd ; then
 	# If systemd IS NOT detected, run the legacy apache2ctl code
 
 	# If first parameter is a verb defined in $RC_VERBS, pass the command to init script.


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-04-29  9:31 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-29  9:31 [gentoo-commits] proj/apache:master commit in: 2.4/scripts/, 2.4/init/ Lars Wendler

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox